routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

Route::get('/', [App\Http\Controllers\DashboardController::class, 'index']);


Route::middleware('auth')->group(function() {
    Route::get('/dashboard', function () {
        return view('dashboard');
    })->name('dashboard');

    Route::prefix('rj')->name('rj.')->group(function() {
        Route::get('registrasi-pasien', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'index'])->name('registrasi-pasien');
        Route::get('detail-registrasi/{id?}', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'detail']);
        Route::get('get-daerah', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'get_daerah'])->name('get-daerah');
        Route::get('get-riwayat-pasien', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'get_riwayat_pasien'])->name('get-riwayat-pasien');
        Route::post('store-registrasi', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'insert_registrasi'])->name('store');
        Route::get('transaksi-pasien', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'transaksi'])->name('transaksi-pasien');
        Route::get('get-list-registrasi', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'get_data'])->name('list-registrasi');
        Route::get('get-list-registrasi-proses', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'get_registrasi_proses'])->name('list-registrasi-proses');
        Route::get('transaksi-rj/detail/{noreg}', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'detail_transaksi'])->name('detail-transaksi-pasien');
        Route::get('get-tindakan', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'get_tindakan'])->name('get-tindakan');
        Route::get('get-obat', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'get_obat'])->name('get-obat');
        Route::post('insert-draft-nota', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'insert_nota_awal'])->name('insert-draft-nota-rj');
        Route::post('insert-tindakan', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'insert_tindakan'])->name('insert-tindakan');
        Route::get('get-tindakan-bynota', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'get_tindakan_by_nota'])->name('get-tindakan-bynota');
        Route::get('transaksi/hapus-notadet/{id}', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'hapus_notadet']);
        Route::post('insert-obat', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'insert_obat'])->name('insert-obat');
        Route::get('get-obat-bynota', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'get_obat_by_nota'])->name('get-obat-bynota');
    });

     Route::prefix('ri')->name('ri.')->group(function() {
        Route::get('registrasi-pasien-ri', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'index'])->name('registrasi-pasien-ri');
        Route::get('detail-registrasi/{id?}', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'detail']);
        Route::get('get-daerah', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'get_daerah'])->name('get-daerah');
        Route::get('get-riwayat-pasien-ri', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'get_riwayat_pasien-ri'])->name('get-riwayat-pasien-ri');
        Route::post('store-registrasi_ri', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'insert_registrasi_ri'])->name('store');
         Route::get('input-tindakan-pasien', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'input-tindakan'])->name('input-tindakan-pasien');
        Route::get('get-list-registrasi', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'get_data'])->name('list-registrasi');
        Route::get('get-list-registrasi-proses', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'get_registrasi_proses'])->name('list-registrasi-proses');
        Route::get('input-tindakan-ri/detail/{noreg}', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'detail_input-tindakan'])->name('detail-input-tindakan-pasien');
        Route::get('get-tindakan', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'get_tindakan'])->name('get-tindakan');
        Route::get('get-obat', [App\Http\Controllers\Rawatinap\RegisRtrasiRiController::class, 'get_obat'])->name('get-obat');
        Route::post('insert-draft-nota', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'insert_nota_awal'])->name('insert-draft-nota-ri');
        Route::post('insert-tindakan', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'insert_tindakan'])->name('insert-tindakan');
        Route::get('get-tindakan-bynota', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'get_tindakan_by_nota'])->name('get-tindakan-bynota');
        Route::get('input-tindakan/hapus-notadet/{id}', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'hapus_notadet']);
        Route::post('insert-obat', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'insert_obat'])->name('insert-obat');
        Route::get('get-obat-bynota', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'get_obat_by_nota'])->name('get-obat-bynota');
    });

    Route::prefix('kasir')->name('kasir.')->group(function() {
        Route::get('index', [App\Http\Controllers\Kasir\KasirController::class, 'index'])->name('index');
        Route::get('detail/{noreg}', [App\Http\Controllers\Kasir\KasirController::class, 'detail'])->name('detail');
        Route::get('list-kuitansidet', [App\Http\Controllers\Kasir\KasirController::class, 'get_kuitansi_det'])->name('list-kuitansidet');
        Route::post('insert-bayar', [App\Http\Controllers\Kasir\KasirController::class, 'insert_pembayaran'])->name('insert-bayar');
        Route::get('hapus-kuidet/{id}', [App\Http\Controllers\Kasir\KasirController::class, 'delete_kuidet']);


    });


    Route::prefix('inv')->name('inv.')->group(function() {
        Route::get('po', [App\Http\Controllers\Inventory\PoController::class, 'create_po'])->name('create-po');
        Route::get('list-po', [App\Http\Controllers\Inventory\PoController::class, 'get_po'])->name('po');
        Route::get('get-barang', [App\Http\Controllers\Inventory\PoController::class, 'get_barang'])->name('get-barang');

        Route::get('barang-bagian', [App\Http\Controllers\Inventory\BarangbagianController::class, 'index'])->name('barang-bagian');
        Route::get('get-barang-bagian', [App\Http\Controllers\Inventory\BarangbagianController::class, 'get_barang_bagian'])->name('get-barang-bagian');
        Route::post('barang-bagian/update', [App\Http\Controllers\Inventory\BarangbagianController::class, 'update']);

        Route::get('pp', [App\Http\Controllers\Inventory\PemesananController::class, 'index'])->name('pp');
        Route::get('list-pp', [App\Http\Controllers\Inventory\PemesananController::class, 'get_pp'])->name('list-pp');
        Route::get('list-ppdet', [App\Http\Controllers\Inventory\PemesananController::class, 'get_ppdet'])->name('list-ppdet');
        Route::get('create-pp', [App\Http\Controllers\Inventory\PemesananController::class, 'create'])->name('create-pp');
        Route::post('insert-pp', [App\Http\Controllers\Inventory\PemesananController::class, 'store'])->name('insert-pp');
        Route::get('deletepp/{id}', [App\Http\Controllers\Inventory\PemesananController::class, 'destroy'])->name('deletepp');
        Route::get('detailpp/{id}', [App\Http\Controllers\Inventory\PemesananController::class, 'detail'])->name('detailpp');
        Route::get('editpp/{id}', [App\Http\Controllers\Inventory\PemesananController::class, 'edit'])->name('editpp');
        Route::post('update-pp', [App\Http\Controllers\Inventory\PemesananController::class, 'update'])->name('update-pp');

        Route::get('receive', [App\Http\Controllers\Inventory\ReceiveController::class, 'create'])->name('receive');
        Route::get('receive-getpesanan', [App\Http\Controllers\Inventory\ReceiveController::class, 'get_pesanan'])->name('receive-getpesanan');
     


    });

    Route::prefix('pasien')->name('pasien.')->group(function() {
        Route::post('store', [App\Http\Controllers\Pasien\PasienController::class, 'store'])->name('store');
        Route::get('get-data', [App\Http\Controllers\Pasien\PasienController::class, 'get_data'])->name('get-data');
    });

    Route::prefix('master')->name('master.')->group(function() {
        // bidang perawatan
        Route::get('bidang-perawatan', [App\Http\Controllers\Master\BidangperawatanController::class, 'index'])->name('bidang-perawatan');
        Route::get('bidang-perawatan/get-data', [App\Http\Controllers\Master\BidangperawatanController::class, 'get_data']);
        Route::post('bidang-perawatan/store', [App\Http\Controllers\Master\BidangperawatanController::class, 'store']);
        Route::get('bidang-perawatan/hapus/{id}', [App\Http\Controllers\Master\BidangperawatanController::class, 'destroy']);
        // cara bayar
        Route::get('cara-bayar', [App\Http\Controllers\Master\CarabayarController::class, 'index'])->name('cara-bayar');
        Route::get('cara-bayar/get-data', [App\Http\Controllers\Master\CarabayarController::class, 'get_data']);
        Route::post('cara-bayar/store', [App\Http\Controllers\Master\CarabayarController::class, 'store']);

resources/views/pages/inventory/purchasing/pp/detail.blade.php
@extends('layouts.main')

@section('page.title', 'Detail Pemesanan Barang')
@section('page.heading', 'Detail Pemesanan Barang')

@section('page.content')
<div class="col-12">
    <div class="card card-outline-info">
        <div class="card-header">
            <h4 class="m-b-0 text-white">Detail Pemesanan Barang</h4>
        </div>
        <div class="card-body">
            @if (Session::has('error'))
            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
                {{Session::get('error')}}
            </div>
        @endif
                <div class="button-group">
                    <a href="{{ route('inv.pp') }}" class="btn waves-effect waves-light btn-warning">Kembali</a>
                </div>
                <div class="form-row mt-1">
                    <label for="nip" class="col-md-2 text-right">No pesanan</label>
                    <div class="col-md-3">
                      <input type="text" class="form-control form-control-sm" autocomplete="off" id="nopp" name="nopp" value="{{ $pp->nopp }}" readOnly>
                    </div>

                    <label class="control-label text-right col-md-2">Supplier</label>
                    <div class="col-md-4">
                        <input type="text" class="form-control form-control-sm" autocomplete="off" id="supplier" name="supplier" value="{{ $pp->supplier->nmsupplier }}" readOnly>
                   </div>

                </div>
                <div class="form-row mt-1">
                    <label for="nip" class="col-md-2 text-right">Tgl. Kirim</label>
                    <div class="col-md-3">
                      <input type="text" class="form-control form-control-sm" autocomplete="off" id="tglkirim" name="tglkirim" value="{{ $pp->tglpp }}" readOnly>
                    </div>
                    <label for="nip" class="col-md-2 text-right">Bagian</label>
                    <div class="col-md-3">
                      <input type="text" class="form-control form-control-sm" autocomplete="off" id="bagian" name="bagian" value="INSTALASI FARAMSI" readOnly>
                    </div>

                </div>


                <div class="form-row mt-1">
                    <label for="nip" class="col-md-2 text-right">Status Pesanan</label>
                    <div class="col-md-3">
                      <input type="text" class="form-control form-control-sm" autocomplete="off" id="stpesanan" name="stpesanan" value="{{ $pp->stpo->nmstpo }}" readOnly>
                    </div>
                    <label class="control-label text-right col-md-2">Keterangan</label>
                    <div class="col-md-3">
                        <input type="text" class="form-control form-control-sm" autocomplete="off" id="keterangan" name="keterangan" value="{{ $pp->keterangan }}" readOnly>
                   </div>

                </div>

        <br>
        <div class="card card-outline-info">
            <div class="card-header">
                <h4 class="m-b-0 text-white">List Barang</h4>
            </div>
            <div class="card-body">
                <div class="table-responsive m-t-60">
                    <table id="tbl_brg_pp" class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                        <thead>
                            <tr>
                                <th>Nama Barang</th>
                                <th>Satuan <br> Besar</th>
                                <th>Satuan <br> Kecil</th>
                                <th class="align-middle text-center">Jumlah</th>
                                <th>Isi <br> Per Box</th>
                                <th class="align-middle text-center">Qty</th>
                                <th>Catatan</th>
                            </tr>
                        </thead>

                    </table>
                </div>
            </div>
        </div>

</div>
    </div>

</div>



@endsection

@push('bottom.scripts')
<script type="text/javascript">
     $(document).ready(function(){

        $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
         });

         loadData();

     });


function loadData()
{
    const page_url = "{{ route('inv.list-ppdet') }}";

var table = $('#tbl_brg_pp').DataTable({
      processing: true,
      serverSide: true,
      ajax: {
          url: page_url,
          type: 'GET',
          data:{
            nopp :  $("#nopp").val()
          }
      },
      columns: [
        {data: 'barang.nmbrg', name: 'barang.nmbrg', orderable: true,searchable: true},
        {data: 'barang.jsatuan_besar.nmsatuan', name: 'barang.jsatuan_besar.nmsatuan', orderable: true,searchable: true},
        {data: 'barang.jsatuan.nmsatuan', name: 'barang.jsatuan.nmsatuan', orderable: true,searchable: true},
        {data: 'qty_besar', name: 'qty_besar', orderable: true,searchable: true},
        {data: 'jml_per_box', name: 'jml_per_box', orderable: true,searchable: true},
        {data: 'qty', name: 'qty', orderable: true,searchable: true},
        {data: 'catatan', name: 'catatan', orderable: true,searchable: true}
      ]


  });
}




</script>
@endpush

resources/views/pages/inventory/purchasing/pp/index.blade.php
@extends('layouts.main')

@section('page.title', 'Pemesanan Barang')
@section('page.heading', 'Pemesanan Barang')

@section('page.content')
<div class="col-12">
    <div class="card">
        <div class="card-body">
            @if (Session::has('message'))
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
                 {{Session::get('message')}}
            </div>
        @endif
        @if (Session::has('error'))
            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
                {{Session::get('error')}}
            </div>
        @endif

        <div class="row">
            <a href="{{ route('inv.create-pp') }}" class="btn btn-primary mt-4 ml-4" id="btn_tambah">Tambah</a>
          </div>
            <div class="table-responsive m-t-10">

                <table id="tbl_pp" class="table table-bordered table-striped display nowrap">
                    <thead>
                        <tr>
                            <th class="align-middle text-center">Opsi</th>
                            <th>No. Pemesanan</th>
                            <th>Tgl Kirim</th>
                            <th>Bagian</th>
                            <th>Status Pesanan</th>
                            <th>Status Pembelian</th>
                            <th>Supplier</th>
                            <th>Keterangan</th>

                        </tr>
                    </thead>

                </table>
            </div>

        </div>
    </div>
</div>
@endsection

@push('bottom.scripts')
<script type="text/javascript">
$(document).ready(function(){


loadData();

});

function loadData()
{
    const page_url = "{{ route('inv.list-pp') }}";

var table = $('#tbl_pp').DataTable({
   // dom: 'lrtip',
    dom: 'B<br>lfrtip',
        buttons: [
            'print','pdf','excel'
        ],
      processing: true,
      serverSide: true,
      ajax: {
          url: page_url,
          type: 'GET'
      },
      columns: [
        { "data": null,"sortable": false,
                  render: function (data, type, row, meta) {
                    var result = '<a href="{{ url('inv/detailpp').'/' }}'+row.nopp+'" target="_blank" class="btn waves-effect waves-light btn-warning btn-sm">Detail</a>';
                    if(row.idstpo != 2){
                        result += '&nbsp;<a href="{{ url('inv/editpp').'/' }}'+row.nopp+'" class="btn waves-effect waves-light btn-info btn-sm">Ubah</a>';
                         result += '&nbsp;<a class="btn waves-effect waves-light btn-danger btn-sm" href="{{ url('inv/deletepp').'/' }}'+row.nopp+'">Hapus</a>';
                    }
                    result += '&nbsp;<a class="btn waves-effect waves-light btn-primary btn-sm" href="#">Cetak</a>';

                    return result;
                  }
              },
        {data: 'nopp', name: 'nopp', orderable: true,searchable: true},
        {data: 'tglpp', name: 'tglpp', orderable: true,searchable: true},
        {data: 'bagian.nmbagian', name: 'bagian.nmbagian', orderable: true,searchable: true},
        {data: 'stsetuju.nmstsetuju', name: 'stsetuju.nmstsetuju', orderable: true,searchable: true},
        {data: 'stpo.nmstpo', name: 'stpo.nmstpo', orderable: true,searchable: true},
        {data: 'supplier.nmsupplier', name: 'supplier.nmsupplier', orderable: true,searchable: true},
        {data: 'keterangan', name: 'keterangan', orderable: true,searchable: true},

      ],
      columnDefs: [
        { className: "dt-nowrap", "targets": [ 1 ] }
      ]


  });
}

</script>
@endpush